.signin {
    width: 100%;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;

    &__top {
        width: 100%;
        background-image: url('/img/header-login.svg');
        min-height: 200px;
    }

    &__content {
        width: 100%;
        color: black;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    &__logo {
        max-height: 44px;
        max-width: 100%;
    }

    &__head {
        margin-top: 40px;
        text-transform: uppercase;
        color: black;
        font-family: 'Comfortaa-700';
        font-weight: 700;
        font-size: 20px;
    }

    &__form {
        display: flex;
        flex-direction: column;
        width: 328px;
        max-width: 328px;
        margin: 30px 0;
        gap: 20px;
    }

    .loader {
        display: flex;
        justify-content: center;
    }


    &__select {
        display: flex;
        align-items: center;
        justify-content: center;

        &--text {
            display: flex;
            align-items: center;
            width: 100%;
            color: #585858;
            gap: 20px;

            &::after,
            &::before {
                content: '';
                display: block;
                width: 100%;
                height: 1px;
                background-color: #C7C7C7;
            }
        }
    }

    &__name {
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-top: 30px;
        gap: 15px;
    }

    &__icons {
        display: flex;
        gap: 30px;
    }

    &__bottom {
        background-image: url('/img/footer-login.svg');
        min-height: 200px;
        width: 100%;
    }
}